EDIT - feature request #6965

Tropicos Import

09/21/2017 01:58 PM - Andreas Miller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 4.12

Severity: critical

Description

Auszug Caryophyllales Mail WGB 18.9.2017:

Fur den Import brauchen wir dann wohl Deine Hilfe. Wie dargestellt, gehe ich von einem komplett komplementaren Namensbestand
aus, also kein Abgleich mit vorhandenen Namen (case 1). Ein Check sollte hdchstens sein, dass die WFO-ID eindeutig ist, also noch
nicht in der Platform Instanz existiert. Wir kdnnten die Daten im Tropicos Format (aber bereinigt) liefern, wobei mir die unten in der

letzten Spalte angegebenen Sachen klar sind (und im Workflow bereinigt werden sollten):

Nochmal zur Erinnerung: Tropicos liefert das folgende Format (hier ,transposed” und mit 2 Beispielen):

Attribute Example 1 Example 2 Note

FullnameWithAuthors Ochlopoa annua (L.) H. Scholz |Poa annua L. Input (eventuell angepasst an
Tropicos Abklrzungen (mit
Space vor Nachnamen)

FullnameNoAuthors Ochlopoa annua Poa annua Input

SourcelD 123 124 Input — die WFO-ID, wo
vorhanden

OutputNamelD 50231428 25509881 Tropicos ID

OutputHowMatched FullnameWithAuthors FullnameWithAuthors Matching-Meldung (ignorieren)

OutputFullNameWithAuthors Ochlopoa annua (L.) H. Scholz |Poa annua L. Tropicos Name (mit Autor,
auch wenn ohne gematcht)

OutputAbbreviatedTitle Ber. Inst. Lanschafts- Sp. Pl Nom. Titelabklrzung (Buch

Pflanzenokologie Univ. oder Journal Titel)
Hohenheim Beih.

OutputCollation 16: 58 1:68 Ignorieren

OutputVolume 16 1 Volume ohne Issue — wird mit
nachstem beim Bereinigen
zusammengefasst.

Outputlssue Ignorieren

OutputPage 58 68 Seite

OutputTitlePageYear 2003 1753 Wenn kein Eintrag im n&chsten
Feld, dann ist das das
Year-published, sonst ist es
das Jahr in Anfihrungszeichen
(bei meiner Notation) ...

OutputYearPublished ... wie soll das fur den Import
vorbereitet werden?

OutputNomenclatureStatus No opinion Legitimate Nomencl. status —ignorieren,

wenn nicht bekannt oder ,No
opinion®

OutputBHLLink

03/20/2024

http://www.biodiversitylibrary.or
g/openurl?pid=title:669&volum
e=1&issue=&spage=68&date=
1753

Das ware natlrlich Spitze,
wenn wir das gleich mit
importieren kdnnten!! Hat mich
viel Zeit bei Nepenthes
Attribute Example 1 Example 2 Note
gekostet

OutputBatchlD 8191 8191 Ignorieren

Noch ein Beispiel mit Problemen:

Attribute Example 1 Example 2 Note

FullnameWithAuthors

Limonium capense L. Bolus

Limonium drepanostachyum
Ikonn.-Gal.

FullnameNoAuthors

Limonium capense

Limonium drepanostachyum

SourcelD

123

124

OutputNamelD

25400115

25400342

OutputHowMatched

FullnameWithAuthors

FullnameWithAuthors

OutputFullNameWithAuthors

Limonium capense L. Bolus

Limonium drepanostachyum
Ikonn.-Gal.

OutputAbbreviatedTitle

S. African Gard.

Trudy Bot. Inst. Akad. Nauk
S.S.S.R., Ser. 1, Fl. Sist.
Vyssh. Rast.

OutputCollation 1934, xxiv. 124, in obs., 129, in |2: 267, f. 4 Das muss dann in der
adnot. Vorbereitung entsprechend auf

die folgenden Eintrége verteilt
werden. im 1. Beispiel:

OutputVolume 2 1934(24)

Outputlssue

OutputPage 1934 267 124 in obs., 129 in adnot.

OutputTitlePageYear 1936

OutputYearPublished 1934

OutputNomenclatureStatus No opinion No opinion

OutputBHLLink

OutputBatchlD 8192 8192

Tropicos gibt beim Bulk matching offenbar keine in-Referenzen zuriick. Es bleibt also noch die Kennzeichnung als Artikel oder Buch,
das waére dann eine zusétzliche Spalte.

Open issues

e Tests genauer
Progressmonitor
"Analyse" vor Import

Klaren, welche Funktionen von Walters Script ins CDM bernommen werden kdnnen

Welche Feldnamen sollen verwendet werden
Generischeres Handling von save in Verbindung mit New Records im Importresult, evtl. auch fir Source

L
L
[ ]
¢ |n TaxEditor integrieren
L]
L]

Related issues:

Related to EDIT - task #6137: Urgent imports

Related to EDIT - bug #7094: Remove empty spaces in nomencl. title of persons

Copied to EDIT - feature request #9404: Open issues for Tropicos Import

In Progress

Closed
New

Associated revisions

Revision 2cc98a0b - 11/21/2017 10:43 AM - Andreas Muller

ref #6965 move CsvimportBase to "in" package

03/20/2024
Revision 27¢167e1 - 11/21/2017 10:43 AM - Andreas Miiller

ref #6965 rename static Name Identifier methods

Revision 971254b7 - 11/21/2017 10:43 AM - Andreas Miiller

ref #6965 first version of Tropicos import

Revision bfc6a038 - 11/21/2017 10:43 AM - Andreas Miiller
ref #6965 fix empty TimePeriod matching bug

Revision 5¢67a8b6 - 11/21/2017 10:47 AM - Andreas Miiller

ref #6965 add PlumbaginaceaeTropicosActivator

Revision c56f0e4a - 11/21/2017 12:27 PM - Andreas Miiller
ref #6965 fix TropicosNamelmportTest

Revision 22fad5e0 - 11/21/2017 12:44 PM - Andreas Miiller

ref #6965 fix compilation issue in ImportDeduplicationHelper

Revision 69¢95165 - 11/23/2017 10:20 PM - Andreas Miiller

ref #6965 add reference author handling and and reporting for ID duplicates

Revision ecb38d0c - 11/23/2017 10:20 PM - Andreas Miiller

ref #6965 remove space between initials and name in nomencl. person title

Revision e17185f1 - 11/23/2017 10:22 PM - Andreas Miiller

ref #6965 adapt PlumbaginaceaeTropicosActivator to latest changes

Revision ¢578ec73 - 01/05/2018 10:22 AM - unknown

ref #6965 revert remove space between initials and name in nomencl. person title as default

History

#1 - 09/21/2017 02:01 PM - Andreas Miiller

Es handelt sich um einen reinen Namensimport. Allerdings sollte es mdglich sein, die Namen unter einen definierten Taxonknoten als Taxonliste zu
importieren, um sie dann entsprechend einordnen zu kénnen.

#2 - 09/21/2017 02:03 PM - Andreas Miuller

- Description updated

#3 - 09/21/2017 02:26 PM - Andreas Miiller
- Priority changed from New to Highest

- Severity changed from normal to critical

#4 - 09/21/2017 02:28 PM - Andreas Miiller
- Related to task #6137: Urgent imports added

#5 - 09/23/2017 11:52 AM - Walter Berendsohn

Ergénzung: Die in der Tabelle mit "Input" bezeichneten Felder sind die, die zu Tropicos hochgeladen wurden. Alle Felder sind "input" fir die
CDM-Datenbank (wobei OutputFullnameWithAuthors ggf. FullnameWithAuthors dupliziert).

#6 - 11/08/2017 11:16 AM - Andreas Mdiller
- Status changed from New to In Progress

- Target version changed from Release 4.11 to Release 4.12

#7 - 11/22/2017 12:16 PM - Andreas Miiller
- Description updated
#8 - 11/24/2017 05:21 PM - Andreas Miiller

- Related to bug #7094: Remove empty spaces in nomencl. title of persons added

#9 - 01/20/2021 05:51 PM - Andreas Miiller

- Copied to feature request #9404: Open issues for Tropicos Import added

#10 - 01/20/2021 05:52 PM - Andreas Miiller
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

open issues copied to #9404, close this
